Debian Bug report logs - #133578
gdm: default locale setting

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: YAMASHITA Junji <ysjj@unixuser.org>

Date: Tue, 12 Feb 2002 16:03:04 UTC

Severity: normal

Merged with 147091, 192143, 200064

Found in versions 2.2.5.4-2, 2.2.5.5-2, 2.4.1.7-1, 2.4.1.3-2

Fixed in version gdm/2.4.4.7-2

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, YAMASHITA Junji <ysjj@unixuser.org>, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to YAMASHITA Junji <ysjj@unixuser.org>:
New Bug report received and forwarded. Copy sent to YAMASHITA Junji <ysjj@unixuser.org>, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: YAMASHITA Junji <ysjj@unixuser.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm: default locale setting
Date: Wed, 13 Feb 2002 00:58:50 +0900
Package: gdm
Version: 2.2.5.4-2
Severity: wishlist

There is DefaultLocale variable in [greeter] of /etc/gdm/gdm.conf.
But that variable is insufficient for gdm, since that is for gdmlogin.

For example, title and date strings appeared in gdmlogin window are
influenced by DefaultLocale.
But "Username" prompt, login failure message and others are
not influenced by DefaultLocale, they stay English.

So I add LANG=ja_JP.eucJP line to /etc/init.d/gdm.


If gdm package supports debconf interface to choose default locale
with /etc/default/gdm, it is very nice to non-english locale users.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux fine 2.4.17 #1 Sat Dec 22 11:49:15 JST 2001 i686
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP

Versions of packages gdm depends on:
ii  adduser                       3.45       Add and remove users and groups
ii  debconf                       1.0.26     Debian configuration management sy
ii  dpkg                          1.9.19     Package maintenance system for Deb
ii  gdk-imlib1                    1.9.11-3   Gdk-Imlib is an imaging library fo
ii  libart2                       1.4.1.4-1  The Gnome canvas widget - runtime 
ii  libaudiofile0                 0.2.3-2    The Audiofile Library
ii  libc6                         2.2.5-3    GNU C Library: Shared libraries an
ii  libdb3                        3.2.9-14   Berkeley v3 Database Libraries [ru
ii  libesd0                       0.2.23-3   Enlightened Sound Daemon - Shared 
ii  libgdk-pixbuf2                0.16.0-1   The GdkPixBuf library.
ii  libglade-gnome0               1:0.17-2.2 Library to load .glade files at ru
ii  libglade0                     1:0.17-2.2 Library to load .glade files at ru
ii  libglib1.2                    1.2.10-3   The GLib library of C routines
ii  libgnome32                    1.4.1.4-1  The Gnome libraries
ii  libgnomesupport0              1.4.1.4-1  The Gnome libraries (Support libra
ii  libgnomeui32                  1.4.1.4-1  The Gnome libraries (User Interfac
ii  libgtk1.2                     1.2.10-9   The GIMP Toolkit set of widgets fo
ii  libpam-modules                0.72-35    Pluggable Authentication Modules f
ii  libpam0g                      0.72-35    Pluggable Authentication Modules l
ii  libwrap0                      7.6-9      Wietse Venema's TCP wrappers libra
ii  libxml1                       1:1.8.17-2 GNOME XML library
ii  scrollkeeper                  0.2-6      A free electronic cataloging syste
ii  xlibs                         4.1.0-14   X Window System client libraries
ii  zlib1g                        1:1.1.3-19 compression library - runtime



Severity set to `normal'. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 133578 147091. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Mantas Kriaučiūnas <monte@mail.lt>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #16 received at 133578@bugs.debian.org (full text, mbox):

From: Mantas Kriaučiūnas <monte@mail.lt>
To: debian-gtk-gnome@lists.debian.org
Cc: 133578@bugs.debian.org
Subject: When gdm will use default locale setting ?
Date: Tue, 6 May 2003 01:55:05 +0200
Hi,

GDM doesn't use default locale in Debian :(

There are some working solutions - see:

http://lists.debian.org/debian-gtk-gnome/2003/debian-gtk-gnome-200301/msg00483.html

http://lists.debian.org/debian-gtk-gnome/2003/debian-gtk-gnome-200301/msg00514.html

Please fix this bug in next version - unlocalised version of gdm confuses many international users.

-- 
Jabber ID: mantas@akl.lt		ICQ: mantiena <44451746>



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #21 received at 133578@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: 133578@bugs.debian.org
Subject: It's /etc/gdm/locale.conf problem.
Date: Thu, 15 May 2003 13:03:17 -0500
In /etc/gdm/locale.conf file:

Japanese        ja_JP.EUC-JP
Korean	ko_KR.EUC-KR
...

If I set the language as Korean and log in, GDM reads this file and set
the "LANG" environment variable as "ko_KR.EUC-KR".  The problem is:

X's i18n features very depend on the locale name.  gtk2 does not 
depends on X's i18n so they still display Korean, but others 
still require X's support.

If you want to maintain /etc/gdm/locale.conf file, please use the names
listed in /usr/X11R6/lib/X11/locale/locale.alias file.  Korean usually
use "ko_KR.euckr"





Merged 133578 147091 192143. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 133578 147091 192143 200064. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 133578@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 133578@bugs.debian.org
Cc: 214898@bugs.debian.org
Subject: Re: Bug#133578: gdm: default locale setting
Date: Fri, 16 Apr 2004 21:13:42 -0700
[Message part 1 (text/plain, inline)]
tag - 133578 patch
thanks

Just to make it clear to everyone involved -- #133578 is waiting for #214898
to be fixed in glibc.  I'm not going to parse/use a tool to read the PAM
configuration file /etc/environment.  That config file is for setting up
the _login_ environment, not the system boot environment.  I think
this should be a generic environment file, so that things such as the
default init script/boot time PATH can be set in one place as well.
(PATH, for example, is set in 50 different /etc/init.d scripts of 85
on my system.)

Once this is done, init scripts can then use it and start making full use
of gettext for strings they display, localizing the entire boot process.

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.
[Message part 2 (application/pgp-signature, inline)]

Tags removed: patch Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@raspberryginger.com>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #37 received at 133578@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@raspberryginger.com>
To: Ryan Murray <rmurray@debian.org>, 214898@bugs.debian.org
Cc: 133578@bugs.debian.org
Subject: Re: Bug#214898: Bug#133578: gdm: default locale setting
Date: Fri, 16 Apr 2004 21:51:07 -0700
On Fri, Apr 16, 2004 at 09:13:42PM -0700, Ryan Murray wrote:

> Just to make it clear to everyone involved -- #133578 is waiting for #214898
> to be fixed in glibc.  I'm not going to parse/use a tool to read the PAM
> configuration file /etc/environment.  That config file is for setting up
> the _login_ environment, not the system boot environment.  I think
> this should be a generic environment file, so that things such as the
> default init script/boot time PATH can be set in one place as well.
> (PATH, for example, is set in 50 different /etc/init.d scripts of 85
> on my system.)

As I said before, I think this is very sad.  It's a little late in the
release process to be completely changing how we handle setting the
default LANG variable (or PATH, etc...).  Setting it in two places is
the wrong answer (since it's guaranteed to cause confusion), and any
other change is too invasive.

It's too bad the real losers here are non-English speakers.

Tks,
Jeff Bailey

-- 
Ignorance was bliss.



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #42 received at 133578@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 133578@bugs.debian.org
Cc: 214898@bugs.debian.org
Subject: Re: Bug#133578: gdm: default locale setting
Date: Sat, 17 Apr 2004 15:02:34 +0200
On Fri, Apr 16, 2004 at 09:13:42PM -0700, Ryan Murray wrote:
> tag - 133578 patch
> thanks
> 
> Just to make it clear to everyone involved -- #133578 is waiting for #214898
> to be fixed in glibc.  I'm not going to parse/use a tool to read the PAM
> configuration file /etc/environment.  That config file is for setting up
> the _login_ environment, not the system boot environment.

Parsing /etc/environment would satisfy almost all gdm users.  Moreover
gdm display has nothing to do with system boot, using a login
environment is much saner.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Daniel Ruoso <daniel@ruoso.com>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #47 received at 133578@bugs.debian.org (full text, mbox):

From: Daniel Ruoso <daniel@ruoso.com>
To: 133578@bugs.debian.org
Cc: Debian development list <debian-devel@lists.debian.org>
Subject: Re: gdm bug #133578. Intend to NMU.
Date: Mon, 19 Apr 2004 15:12:21 -0300
Em Seg, 2004-04-19 às 09:34, Wouter Verhelst escreveu:
> Yes, they can. Our structures say that a maintainer has the final say
> regarding his packages, except if the technical committee overrules him.
> If you think the maintainer is wrong[1], and you cannot come to an
> agreement over this, the technical committee is what you have to turn
> to.

Ok. I'm asking *again* to fix the bug #133578 with one of the given
patches. I agree with Josselin about the correct patch in
/etc/init.d/gdm:

TMP_LANG="`grep ^LANG= /etc/environment|tail -1|sed s/^LANG=//`"
if [ -n "$TMP_LANG" ]; then
  LANG="$TMP_LANG"
  export LANG
fi

I know this is not a definitive solution to the problem, but fixes the
bug that is open for more than 2 years now.

This isn't the first ask to fix this bug.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #52 received at 133578@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: Daniel Ruoso <daniel@ruoso.com>, 133578@bugs.debian.org
Cc: Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Mon, 19 Apr 2004 12:03:42 -0700
[Message part 1 (text/plain, inline)]
On Mon, Apr 19, 2004 at 03:12:21PM -0300, Daniel Ruoso wrote:
> Ok. I'm asking *again* to fix the bug #133578 with one of the given
> patches. I agree with Josselin about the correct patch in

No patch that involves doing anything with the PAM login-time configuration
file /etc/environment is going to be applied by me.

-- 
Ryan Murray, Debian Developer (rmurray@cyberhqz.com, rmurray@debian.org)
The opinions expressed here are my own.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Bacher <seb128@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #57 received at 133578@bugs.debian.org (full text, mbox):

From: Sebastien Bacher <seb128@debian.org>
To: Daniel Ruoso <daniel@ruoso.com>
Cc: 133578@bugs.debian.org, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Tue, 20 Apr 2004 10:00:05 +0200
Ryan Murray <rmurray@debian.org> writes:

> No patch that involves doing anything with the PAM login-time configuration
> file /etc/environment is going to be applied by me.

Hi,

I don't really care about how you fix this bug, but it's here for way to
long ! If you don't want to fix gdm at least provide a patch to do what
you want in glibc or whatever. If you don't care of working on that, so
you simply don't care of this package ... in this case you should simply
let it to somebody who want to fix it.


Cheers,

Sebastien Bacher



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Daniel Ruoso <daniel@ruoso.com>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #62 received at 133578@bugs.debian.org (full text, mbox):

From: Daniel Ruoso <daniel@ruoso.com>
To: Ryan Murray <rmurray@debian.org>
Cc: 133578@bugs.debian.org, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Tue, 20 Apr 2004 14:52:08 -0300
Em Seg, 2004-04-19 às 16:03, Ryan Murray escreveu:
> No patch that involves doing anything with the PAM login-time configuration
> file /etc/environment is going to be applied by me.

Ok, you mean I must do a NMU? or this mean I must go to the next step,
that would be the tech-ctte?

Just to make clear... I don't want to create problems, but this bug is
really annoying for non-english speakers, and as there is a patch that
fixes the bug (at least before init i18n be cleared), I don't see a
reason for not fixing it. If you do have a better way to fix it, please
do it, but if not, let this 2-years old be fixed.




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@grep.be>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #67 received at 133578@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@grep.be>
To: Daniel Ruoso <daniel@ruoso.com>
Cc: Ryan Murray <rmurray@debian.org>, 133578@bugs.debian.org, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Wed, 21 Apr 2004 09:23:43 +0200
[Message part 1 (text/plain, inline)]
On Tue, Apr 20, 2004 at 02:52:08PM -0300, Daniel Ruoso wrote:
> Em Seg, 2004-04-19 às 16:03, Ryan Murray escreveu:
> > No patch that involves doing anything with the PAM login-time configuration
> > file /etc/environment is going to be applied by me.
> 
> Ok, you mean I must do a NMU? or this mean I must go to the next step,
> that would be the tech-ctte?

(guessing here; Ryan did not give much information)

I think what Ryan means is that /etc/environment is a file used to set
environment variables from within PAM; and that, in his opinion, it is a
bad idea to start using that file to store a bunch of system-wide
settings from things that have nothing to do with PAM, since that's not
what it's meant for.

-- 
         EARTH
     smog  |   bricks
 AIR  --  mud  -- FIRE
soda water |   tequila
         WATER
 -- with thanks to fortune
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Roy <yeupou@coleumes.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #72 received at 133578@bugs.debian.org (full text, mbox):

From: Mathieu Roy <yeupou@coleumes.org>
To: 133578@bugs.debian.org, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Wed, 21 Apr 2004 10:09:54 +0200
Wouter Verhelst <wouter@grep.be> wrote:

> On Tue, Apr 20, 2004 at 02:52:08PM -0300, Daniel Ruoso wrote:
>> Em Seg, 2004-04-19 às 16:03, Ryan Murray escreveu:
>> > No patch that involves doing anything with the PAM login-time configuration
>> > file /etc/environment is going to be applied by me.
>> 
>> Ok, you mean I must do a NMU? or this mean I must go to the next step,
>> that would be the tech-ctte?
>
> (guessing here; Ryan did not give much information)
>
> I think what Ryan means is that /etc/environment is a file used to set
> environment variables from within PAM; and that, in his opinion, it is a
> bad idea to start using that file to store a bunch of system-wide
> settings from things that have nothing to do with PAM, since that's not
> what it's meant for.

Is it specific to Debian (or to GNU/Linux)? 

At
<http://lists.debian.org/debian-glibc/2004/debian-glibc-200401/msg00278.html>
there's an interesting overview of the issue in Debian.

But, still, if I had to define /etc/environment before reading that
mail, I would have talked about something more like this description
about the /etc/environment file in AIX: 
<http://publibn.boulder.ibm.com/doc_link/en_US/a_doc_lib/files/aixfiles/environment.htm> 
("The /etc/environment file contains variables specifying the basic
environment for all processes. ")

As a matter of fact, here my /etc/environment contains only
LANG=fr_FR@euro.

Since when /etc/environment is tightly linked to PAM? And why? The
name /etc/environment is of a very large scope, it is hard to consider
it a good name if it is just limited to PAM stuff. With such a name,
you're almost forced to think about `man environ` which one talk about
user _environment_. 

Regards,




-- 
Mathieu Roy

  +---------------------------------------------------------------------+
  | General Homepage:           http://yeupou.coleumes.org/             |
  | Computing Homepage:         http://alberich.coleumes.org/           |
  | Not a native english speaker:                                       |
  |     http://stock.coleumes.org/doc.php?i=/misc-files/flawed-english  |
  +---------------------------------------------------------------------+



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Bacher <seb128@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #77 received at 133578@bugs.debian.org (full text, mbox):

From: Sebastien Bacher <seb128@debian.org>
To: Wouter Verhelst <wouter@grep.be>
Cc: 133578@bugs.debian.org, Daniel Ruoso <daniel@ruoso.com>, Ryan Murray <rmurray@debian.org>, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Wed, 21 Apr 2004 10:19:32 +0200
Wouter Verhelst <wouter@grep.be> writes:

> bad idea to start using that file to store a bunch of system-wide
> settings from things that have nothing to do with PAM, since that's not
> what it's meant for.

Nobody want to store extra stuffs in this file, we just want to parse it
to have a chance to get a locale, and if the parsing doesn't work just
fall back in C ... 


Cheers,

Sebastien Bacher



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #82 received at 133578@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 133578@bugs.debian.org, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Wed, 21 Apr 2004 11:32:05 +0200
On Wed, Apr 21, 2004 at 10:09:54AM +0200, Mathieu Roy wrote:
> Wouter Verhelst <wouter@grep.be> wrote:
> 
> > On Tue, Apr 20, 2004 at 02:52:08PM -0300, Daniel Ruoso wrote:
> >> Em Seg, 2004-04-19 às 16:03, Ryan Murray escreveu:
> >> > No patch that involves doing anything with the PAM login-time configuration
> >> > file /etc/environment is going to be applied by me.
> >> 
> >> Ok, you mean I must do a NMU? or this mean I must go to the next step,
> >> that would be the tech-ctte?
> >
> > (guessing here; Ryan did not give much information)
> >
> > I think what Ryan means is that /etc/environment is a file used to set
> > environment variables from within PAM; and that, in his opinion, it is a
> > bad idea to start using that file to store a bunch of system-wide
> > settings from things that have nothing to do with PAM, since that's not
> > what it's meant for.
> 
> Is it specific to Debian (or to GNU/Linux)? 
> 
> At
> <http://lists.debian.org/debian-glibc/2004/debian-glibc-200401/msg00278.html>
> there's an interesting overview of the issue in Debian.

Until locales' behavior changes (I doubt it will happen before sarge is
released), the only way to make non-English gdm users happy is to parse
/etc/environment.  Experienced users who want different settings for PAM
login and other stuff are able to edit files if they dislike it.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Calum Mackay <calum.mackay@cdmnet.org>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #87 received at 133578@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: Wouter Verhelst <wouter@grep.be>, 133578@bugs.debian.org
Cc: Daniel Ruoso <daniel@ruoso.com>, Ryan Murray <rmurray@debian.org>, Debian development list <debian-devel@lists.debian.org>
Subject: Re: Bug#133578: gdm bug #133578. Intend to NMU.
Date: Wed, 21 Apr 2004 10:33:02 +0100
If /etc/environment is to be limited to PAM, shouldn't that be made 
clear in its name, or its comments?

Mine contains:

	GDK_USE_XFT=1
	LANG=en_GB

neither of which seem particular PAM-related.

I can't remember who told me to put GDK_USE_XFT=1 in /etc/environment ...

cheers,
c.



Tags added: pending Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#133578; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@compsoc.dur.ac.uk>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #94 received at 133578@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@compsoc.dur.ac.uk>
To: 133578@bugs.debian.org
Subject: Re: gdm: default locale setting
Date: Fri, 30 Apr 2004 09:54:17 +0100
On Wed, Feb 13, 2002 at 12:58:50AM +0900, YAMASHITA Junji wrote:
> ...it is very nice to non-english locale users.

On Fri, Apr 16, 2004 at 09:51:07PM -0700, Jeff Bailey wrote:
> It's too bad the real losers here are non-English speakers.

On Tue, Apr 20, 2004 at 02:52:08PM -0300, Daniel Ruoso wrote:
> Just to make clear... I don't want to create problems, but this bug is
> really annoying for non-english speakers...

Just to clarify, this affects english speaking users too- of course we
can read american, but it is a different language, and gnome is
internationalized with respect to british spelling.

-- 
Jon Dowland
http://jon.dowland.name/



Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to YAMASHITA Junji <ysjj@unixuser.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #99 received at 133578-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 133578-close@bugs.debian.org
Subject: Bug#133578: fixed in gdm 2.4.4.7-2
Date: Sat, 15 May 2004 19:32:06 -0400
Source: gdm
Source-Version: 2.4.4.7-2

We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.4.4.7-2.diff.gz
  to pool/main/g/gdm/gdm_2.4.4.7-2.diff.gz
gdm_2.4.4.7-2.dsc
  to pool/main/g/gdm/gdm_2.4.4.7-2.dsc
gdm_2.4.4.7-2_i386.deb
  to pool/main/g/gdm/gdm_2.4.4.7-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 133578@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 May 2004 16:13:30 -0700
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.4.4.7-2
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 133578 189615 200121 201303 240984 240993 243218 247065 247971 248328
Changes: 
 gdm (2.4.4.7-2) unstable; urgency=low
 .
   * Correct location of logdir (closes: #240984)
   * Add /etc/default/gdm, initialized from the locales package's debconf.
     (closes: #133578)
   * Add depends on xbase-clients until #242485 is fixed in X. (closes: #247065)
   * Change "genius" to "gdm" in default config comments (closes: #243218)
   * Soft restart gdm in postinst (closes: #240993)
   * Update locale.conf to latest glibc (closes: #247971)
   * Create .dmrc with restrictive permissions if it doesn't exist.
   * Now that gksu works for me, use it to start gdmsetup (closes: #189615)
   * Update debconf templates to xdm 4.3.0.dfsg.1-1.
   * Add Turkish debconf template (closes: #248328)
   * Add note about debconf templates to README.Debian (closes: #200121)
   * Add some whitespace to the gdmlogin logo (closes: #201303)
   * Build with SELinux support.
Files: 
 1381463e18b269eb2923b3cacea9ae36 679 gnome optional gdm_2.4.4.7-2.dsc
 caa7d5c889309d6f5513130974745829 199919 gnome optional gdm_2.4.4.7-2.diff.gz
 df6a4fb94166bdaa16769841df69a990 2059872 gnome optional gdm_2.4.4.7-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFApqbGN2Dbz/1mRasRAvatAJ9uPfbZdqrHo+oAtgiC+pn7CuJJXACgszKF
w0uABgBxaEmRSqgh9fbt3HE=
=M2zR
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:31:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.